Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Interface ContainedOperations

All Superinterfaces:
  IRObjectOperations

All Known Subinterfaces:
  AbstractInterfaceDef, AbstractInterfaceDefOperations, AliasDef, AliasDefOperations, AttributeDef, AttributeDefOperations, ConstantDef, ConstantDefOperations, Contained, EnumDef, EnumDefOperations, ExceptionDef, ExceptionDefOperations, InterfaceDef, InterfaceDefOperations, LocalInterfaceDef, LocalInterfaceDefOperations, ModuleDef, ModuleDefOperations, NativeDef, NativeDefOperations, OperationDef, OperationDefOperations, StructDef, StructDefOperations, TypedefDef, TypedefDefOperations, UnionDef, UnionDefOperations, ValueBoxDef, ValueBoxDefOperations, ValueDef, ValueDefOperations, ValueMemberDef, ValueMemberDefOperations

All Known Implementing Classes:
  ContainedPOA

public interface ContainedOperations
extends IRObjectOperations

The base interface Contained is inherited by all Interface Repository interfaces that are contained by other IR objects. All objects within the Interface Repository, except the root object (Repository) and definitions of anonymous (ArrayDef, StringDef, WstringDef, FixedDef and SequenceDef), and primitive types are contained by other objects.

Method Summary
`java.lang.String` | `absolute_name()` The absolute_name attribute is an absolute ScopedName that identifies a Contained object uniquely within its enclosing Repository.
`Repository` | `containing_repository()` The containing_repository attribute identifies the Repository that is eventually reached by recursively following the object’s defined_in attribute.
`Container` | `defined_in()` Contained objects also have a defined_in attribute that identifies the Container within which they are defined.
`Description` | `describe()` The describe operation returns a structure containing information about the interface.
`java.lang.String` | `id()` An object that is contained by another object has an id attribute that identifies it globally.
`void` | `id(java.lang.String value)` An object that is contained by another object has an id attribute that identifies it globally.
`void` | `move(Container new_container, java.lang.String new_name, java.lang.String new_version)` The move operation atomically removes this object from its current Container, and adds it to the Container specified by new_container must satisfy the following conditions: It must be in the same Repository.
`java.lang.String` | `name()` An object that is contained by another object has a name attribute that identifies it uniquely within the enclosing Container object.
`void` | `name(java.lang.String value)` An object that is contained by another object has a name attribute that identifies it uniquely within the enclosing Container object.
`java.lang.String` | `version()` An object that is contained by another object has a version attribute that distinguishes it from other versioned objects with the same name.
`void` | `version(java.lang.String value)` An object that is contained by another object has a version attribute that distinguishes it from other versioned objects with the same name.

Methods inherited from interface org.omg.CORBA.IRObjectOperations
`def_kind, destroy`

Method Detail

### id

    public java.lang.String id()

  An object that is contained by another object has an id attribute that identifies it globally.

### id

    public void id(java.lang.String value)

  An object that is contained by another object has an id attribute that identifies it globally.

### name

    public java.lang.String name()

  An object that is contained by another object has a name attribute that identifies it uniquely within the enclosing Container object.

### name

    public void name(java.lang.String value)

  An object that is contained by another object has a name attribute that identifies it uniquely within the enclosing Container object.

### version

    public java.lang.String version()

  An object that is contained by another object has a version attribute that distinguishes it from other versioned objects with the same name.

### version

    public void version(java.lang.String value)

  An object that is contained by another object has a version attribute that distinguishes it from other versioned objects with the same name.

### defined_in

    public Container defined_in()

  Contained objects also have a defined_in attribute that identifies the Container within which they are defined. Objects can be contained either because they are defined within the containing object (for example, an interface is defined within a module) or because they are inherited by the containing object (for example, an operation may be contained by an interface because the interface inherits the operation from another interface). If an object is contained through inheritance, the defined_in attribute identifies the InterfaceDef or ValueDef from which the object is inherited.

### absolute_name

    public java.lang.String absolute_name()

  The absolute_name attribute is an absolute ScopedName that identifies a Contained object uniquely within its enclosing Repository. If this object’s defined_in attribute references a Repository, the absolute_name is formed by concatenating the string "::" and this object’s name attribute. Otherwise, the absolute_name is formed by concatenating the absolute_name attribute of the object referenced by this object’s defined_in attribute, the string "::", and this object’s name attribute.

### containing_repository

    public Repository containing_repository()

  The containing_repository attribute identifies the Repository that is eventually reached by recursively following the object’s defined_in attribute.

### describe

    public Description describe()

  The describe operation returns a structure containing information about the interface. This operation is overloaded in each sub interface. For example, if the describe operation is invoked on an attribute object, the kind field contains dk_Attribute name field contains "AttributeDescription" and the value field contains an any, which contains the AttributeDescription structure. The kind field in this must contain dk_attribute and not the kind of any IRObject from which the attribute object is derived. For example returning dk_all would be an error.

### move

    public void move(Container new_container,
                     java.lang.String new_name,
                     java.lang.String new_version)

  The move operation atomically removes this object from its current Container, and adds it to the Container specified by new_container must satisfy the following conditions: It must be in the same Repository. If it is not, then BAD_PARAM exception is raised with minor code 4. It must be capable of containing this object’s type. If it is not, then BAD_PARAM exception is raised with minor code 4. It must not already contain an object with this object’s name (unless multiple versions are supported by the IR). If this condition is not satisfied, then BAD_PARAM exception is raised with minor code 3.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD